Page MenuHomePhabricator

GSoC '24 Proposal: www.wikipedia.org Wikimedia portals - codebase modernization
Closed, DeclinedPublic

Assigned To
Authored By
Punith.nyk
Mar 30 2024, 1:42 PM
Referenced Files
F36937502: 5.png
Mar 30 2024, 1:42 PM
File Not Attached
F36937501: 4.png
Mar 30 2024, 1:42 PM
File Not Attached
F36937500: 2.png
Mar 30 2024, 1:42 PM
File Not Attached
F36937499: 1.png
Mar 30 2024, 1:42 PM
File Not Attached
F36937521: VideoCutTool.png
Mar 30 2024, 1:42 PM
File Not Attached

Description

Profile Information

Name: Punith
IRC: Punith Nayak
Web Profile: Github,LinkedIn,Profile
Timezone: IST (Indian Standard Time) (UTC + 5.30)
Location: India, Karnataka, Manipal
Typical working hours (include your timezone): 6:00 PM to 1:00 AM (IST) ~5 hours on weekdays, 8:00 AM to 8:00 PM ~ 11.5 hours on Sundays

Synopsis

Short summary describing your project and how it will benefit Wikimedia projects:
Possible Mentor(s) :
Have you contacted your mentors already :

Yes

Deliverables

Improve the user experience of the tool.

Timeline

Community Bonding Period (May 4, 2023 - May 28, 2023):
PeriodWeek NoTimeline
May 4 - May 11Week 1
May 11 - May 17Week 2
May 18 - May 24Week 3
May 24 - May 28Week 4
Coding Period (May 29, 2023 - August 28, 2023):
PeriodWeek NoTimeline
May 29 - June 5Week 1
May 5 - May 12Week 2
May 12 - May 19Week 3
May 19 - May 26Week 4
May 26 - June 3Week 5
June 3 - June 10Week 6
June 10 - June 17Week 7
June 17 - June 24Week 8
June 24 - June 31Week 9
June 31 - July 7Week 10
July 7 - July 14Mid Term Evaluation
July 14 - July 21Week 1
July 21 - July 28Week 2
July 28 - August 7Week 3
August 7 - August 14Week 4
August 14 - August 21Week 5
August 21 - August 28Final evaluation
August 28 - September 4Extended Coding period

UI mockups

Participation

  • My code will be committed to the branch with the task ID name in the video cut tool repository using Gerrit.
  • I will be active on the general gsoc2024 Wikimedia Portals channel of the official Wikimedia Zulip channel where I will post my queries regarding the tool. Will reach out to mentors via phabricator or direct message them on Zulip during work hours
  • During my working hours, I can be reached through Phabricator or via email at npunith125@gmail.com
  • I will update my MediaWiki user page with information on my progress weekly

About Me

Tell us about a few:
Your education (completed or in progress)?

I am currently in my third year of engineering at Manipal Institute of Technology. During my time there, I've been an active contributor to Wikimedia and Chromium. Prior to this, I completed my junior and high school education at Madhava Kripa English Nursery and Higher Primary School. Since 2021, I've been engaged in web development, followed by full-stack development, alongside studying core computer science subjects such as data structures and algorithms, object-oriented programming, database management systems, and operating systems.

How did you hear about this program?

I learned about the Google Summer of Code program through LinkedIn and subsequently connected with a former participant who educated me about open source and its potential for impact. I began my open-source journey with Wikimedia, feeling comfortable starting there. The supportive community and helpful mentors further fueled my interest.

Will you have any other time commitments, such as school work, another job, planned vacation, etc, during the duration of the program?

No

We advise all candidates eligible for Google Summer of Code and Outreachy to apply for both programs. Are you planning to apply to both programs and, if so, with what organization(s)?

No

What does making this project happen mean to you?

The Wikimedia organization has always been a vital source of knowledge for communities around the world. I find great joy in contributing to this organization, knowing that my efforts have a positive impact on millions of people. Even if my proposal for Google Summer of Code is not accepted, I plan to continue contributing and assisting the Wikimedia community by resolving technical challenges.

What after gsoc ?

After completing my GSOC, I plan to continue contributing to Wikimedia. I aim to explore and contribute to different repositories of Wikimedia while also guiding new contributors.

Past Experience

Wikimedia

Personal project:

Event Timeline

Hi @Punith.nyk and thanks! https://www.mediawiki.org/wiki/Google_Summer_of_Code/Participants bullet point 9 says "Fix small bugs" and the Phabricator template linked under bullet point 11 lists under "Past Experience" the item "Please add links to any feature or bug fix you have written for a Wikimedia project during the application phase." This seems to be missing in the application text above.